=== modified file 'bzrlib/hooks.py'
--- bzrlib/hooks.py	2009-04-02 22:28:50 +0000
+++ bzrlib/hooks.py	2009-04-06 22:31:35 +0000
@@ -32,9 +32,9 @@
 
 known_hooks = registry.Registry()
 # known_hooks registry contains
-# tuple of module, hook location within that module
+# tuple of (module, member name) which is the hook point
 # module where the specific hooks are defined
-# class for the specific hooks
+# callable to get the empty specific Hooks for that attribute
 known_hooks.register_lazy(('bzrlib.branch', 'Branch.hooks'), 'bzrlib.branch',
     'BranchHooks')
 known_hooks.register_lazy(('bzrlib.bzrdir', 'BzrDir.hooks'), 'bzrlib.bzrdir',

=== modified file 'bzrlib/tests/test_hooks.py'
--- bzrlib/tests/test_hooks.py	2009-03-24 01:53:42 +0000
+++ bzrlib/tests/test_hooks.py	2009-04-06 22:31:35 +0000
@@ -162,7 +162,7 @@
     def test_items_are_reasonable_keys(self):
         # All the items in the known_hooks registry need to map from
         # (module_name, member_name) tuples to the callable used to get an
-        # empty Hooks of for that attribute. This is used to support the test
+        # empty Hooks for that attribute. This is used to support the test
         # suite which needs to generate empty hooks (and HookPoints) to ensure
         # isolation and prevent tests failing spuriously.
         for key, factory in known_hooks.items():

